<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml"/>
	<xsl:param name="test"/>
	
	<xsl:template match="/testlist">
		<div>
			<div style="float:right">
				<img id="spinner" src="/nkse/style/img/ajax-loader.gif" style="display:none;"/>
			</div>
			<script language="javascript">
			<xsl:comment>
			var filtered=false;
			function exec(target)
			{	$("#execute").removeClass("btn-primary").addClass("btn-danger");
				$("#spinner").show();
				$(".table").hide();
				document.location=target;
			}
			$(window).bind("pageshow", function(e){
				$("#execute").removeClass("btn-danger").addClass("btn-primary");
				$("#spinner").hide();
				$(".table").show();
				}
			);
			
			
			</xsl:comment>
			</script>
			<div id="nav" class="row">
				<div class="col-md-9 form form-group">
					<button class="btn btn-default" style="margin-right: 1em;" type="button" onclick="document.location='/test/'">Tests</button>
					<button id="execute" class="btn btn-primary" type="button" value="execute" onclick="javascript:exec('/test/exec/html/{$test/test/id}');"><span class="fa fa-play"> </span> execute</button>
				</div>
				<div class="col-md-3">
					<input class="btn btn-default btn-xs" type="button" value="view xml testlist" onclick="parent.location='/test/view/xml/{$test/test/id}'" />
				</div>
			</div>
			
			<table class="table table-condensed table-striped" width="100%">
				<tr>
					<th/>
					<th>Test</th>
					<th/>
				</tr>
				<xsl:for-each select="//test | //notest">
					<tr>
						 <xsl:attribute name="class">
							<xsl:choose>
								<xsl:when test="name()='notest'">
									<xsl:text>xunit-notest</xsl:text>
								</xsl:when>
							    <xsl:when test="position() mod 2 = 0">
								    <xsl:text>highrow</xsl:text>
							    </xsl:when>
							    <xsl:otherwise>
								    <xsl:text>highrow</xsl:text>
							    </xsl:otherwise>   
							</xsl:choose> 
					    </xsl:attribute>
					    <td style="text-align:right;"><xsl:value-of select="position()"/></td>
						<td>
						<xsl:choose>
							<xsl:when test="@name">
								<xsl:value-of select="@name"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="request/identifier"/>
							</xsl:otherwise>
						</xsl:choose>
						</td>
						<td>
						<xsl:choose>
						<xsl:when test="name()='test'">
							<xsl:variable name="pos" select="1+count(preceding::test)"/>
							<button class="btn btn-default" title="Execute individual test" type="button" value="exec" onclick="parent.location='/test/exec/html/{$test/test/id}?index={$pos}'">
							<span class="fa fa-play"> </span> exec
							</button>
						</xsl:when>
						<xsl:otherwise>notest</xsl:otherwise>
						</xsl:choose>
						</td>
					</tr>
					<xsl:choose>
					    <xsl:when test="starts-with(@testStatus,'assertionFailure')">
							<xsl:for-each select="assert/*[@assertStatus='false']">
								<tr>
									<td/><td><b>false</b></td><td colspan="3"><xsl:value-of select="name()"/> : <xsl:value-of select="."/> </td>
								</tr>
							</xsl:for-each>	
					    </xsl:when>
					  </xsl:choose>
				</xsl:for-each>
			</table>
		</div>
    </xsl:template>
	
	<xsl:template match="text()"/>
	
</xsl:stylesheet>
